# - Try to find ds485d
# Once done this will define
#
#  DS485D_FOUND - system has ds485d
#  DS485D_INCLUDE_DIRS - the ds485d include directory
#  DS485D_LIBRARIES - Link these to use ds485d
#  DS485D_DEFINITIONS - Compiler switches required for using ds485d
#
#  Copyright (c) 2010 digitalSTROM.org <dss-developer@forum.digitalstrom.org>
#
#  Redistribution and use is allowed according to the terms of the New
#  BSD license.
#  For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if (DS485D_INCLUDE_DIRS)
  # in cache already
  set(DS485D_FOUND TRUE)
else (DS485D_INCLUDE_DIRS)
  find_path(DS485D_INCLUDE_DIR
    NAMES
      ds485-socket-interface.h
    PATHS
      /usr/include
      /usr/local/include
      /opt/local/include
      /sw/include
    PATH_SUFFIXES
      digitalSTROM
  )

  set(DS485D_INCLUDE_DIRS
    ${DS485D_INCLUDE_DIR}
  )

  if (DS485D_INCLUDE_DIRS)
     set(DS485D_FOUND TRUE)
  endif (DS485D_INCLUDE_DIRS)

  if (DS485D_FOUND)
    if (NOT ds485d_FIND_QUIETLY)
      message(STATUS "Found ds485d: ${DS485D_LIBRARIES}")
    endif (NOT ds485d_FIND_QUIETLY)
  else (DS485D_FOUND)
    if (ds485d_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find ds485d")
    endif (ds485d_FIND_REQUIRED)
  endif (DS485D_FOUND)

  # show the DS485D_INCLUDE_DIRS variable only in the advanced view
  mark_as_advanced(DS485D_INCLUDE_DIRS)

endif (DS485D_INCLUDE_DIRS)

